## jcifs.util
Class LogStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  jcifs.util.LogStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class LogStream

extends java.io.PrintStream

0 - nothing 1 - critical [default] 2 - basic info can be logged under load 3 - almost everything N - debugging

Field Summary
`static int` `level`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`LogStream(java.io.PrintStream stream)`

Method Summary
`static LogStream` `getInstance()`
`static void` `setInstance(java.io.PrintStream stream)` This must be called before `getInstance` is called or it will have no effect.
`static void` `setLevel(int level)`

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### level

    public static int level

Constructor Detail

### LogStream

    public LogStream(java.io.PrintStream stream)

Method Detail

### setLevel

    public static void setLevel(int level)

### setInstance

    public static void setInstance(java.io.PrintStream stream)

  This must be called before `getInstance` is called or it will have no effect.

### getInstance

    public static LogStream getInstance()